Software Management call for RFEs

James Antill james at fedoraproject.org
Thu May 23 15:34:46 UTC 2013


On Wed, 2013-05-22 at 16:55 -0600, Orion Poplawski wrote:

> I'll get more specific then:
> 
> python-pyface can use two different graphics backends - either wxPython or 
> pyQt4.  In no way do these two packages provide the same thing in any 
> meaningful way other than to pyface.  So, while one could go the provides 
> route, it doesn't seem to make sense to me.  I suppose I could ask for:
> 
> Provides: pyface-backend
> 
> in both PyQt4 and wxPython.  Think that would make sense?

 Add a layer, and it works perfectly:

python-pyface:
  Requires: python-pyface-backend

python-pyface-backend-wxPython:
  Provides: python-pyface-backend
  Requires: wxPython

python-pyface-backend-pyQt4:
  Provides: python-pyface-backend
  Requires: pyQt4



More information about the devel mailing list